
Redmine - Defect #19464

Possible to log time on project without time tracking

2015-03-24 12:30 - Massimo Rossello

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 3.0.2   

Resolution: Fixed Affected version: 3.0.1

Description

How to reproduce:

go to /my/page

add the "Spent time" block

click "Log time"

issue autocompletion shows issues into projects where 'time tracking' is disabled, too

add time entry for such an issue

timelog is shown in the Spent time block in My Page

click "Spent time" link in the block

Results:

the added time log entry is not displayed in the Spent time page

there is no way to delete the time entry unless the 'time tracking' module is enabled in the issue's project

Expected:

user not allowed to add timelogs on issues into projects where the time tracking module is not enabled

Tried with redmine 3.0.1 but should be present in older versions too

Associated revisions

Revision 14162 - 2015-04-12 09:37 - Jean-Philippe Lang

Fixed validation when logging time on issue (#19464).

Revision 14206 - 2015-04-25 09:35 - Jean-Philippe Lang

Merged r14162 (#19464).

History

#1 - 2015-04-12 09:37 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.2

- Resolution set to Fixed

Fixed in r14162.

#2 - 2015-04-25 09:35 - Jean-Philippe Lang

- Status changed from Resolved to Closed
